Bug 1414709 - [trello 60kr8WOB] StatefulSet page has no filter
Summary: [trello 60kr8WOB] StatefulSet page has no filter
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Management Console
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 10:27 UTC by Xingxing Xia
Modified: 2017-05-30 12:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 12:49:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Xingxing Xia 2017-01-19 10:27:43 UTC
Description of problem:
StatefulSet page has no filter

Version-Release number of selected component (if applicable):
openshift v1.5.0-alpha.1+e0218ac-340

How reproducible:
Always

Steps to Reproduce:
1. Create statefulset that defines labels:
$ cat statefulset-hello.yaml
apiVersion: apps/v1beta1
kind: StatefulSet
metadata:
  creationTimestamp: null
  generation: 1
  labels:
    app: hello
    name: hello
  name: hello
spec:
  replicas: 1
  selector:
    matchLabels:
      app: hello
  serviceName: hello
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: hello
    spec:
      containers:
      - image: aosqe/hello-openshift
        imagePullPolicy: Always
        name: hello
        ports:
        - containerPort: 8080
          name: web
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      securityContext: {}
      terminationGracePeriodSeconds: 30
status:
  replicas: 0

$ oc create -f statefulset-hello.yaml

2. On web, click Applications --> Stateful Sets, check filter box

Actual results:
2. No filter box

Expected results:
2. Should have filter box

Additional info:

Comment 1 openshift-github-bot 2017-01-19 22:08:53 UTC
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/bee75d368cef771412f260e1f727f05c00de730f
Bug 1414709 - stateful sets page has no label filter

Comment 2 Xingxing Xia 2017-01-20 03:37:26 UTC
Verified in openshift v1.5.0-alpha.2+2543fed-29. Fixed. Now statefulset page has filter box. After creating several statefulsets with various labels, the filter box can work correctly.


Note You need to log in before you can comment on or make changes to this bug.